-- Customer specific once-script GRKL#36467_prefixenruimtenr.
--
-- (c) 2016 Facilitor B.V.
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xGRKL36467_prefixenruimtenr.lst
SET DEFINE OFF

-- Prefixen ruimtenr alle ruimten op locatie Klimmendaal Heijenoordseweg (01)!
UPDATE alg_ruimte r
   SET r.alg_ruimte_nr = '>' || r.alg_ruimte_nr
 WHERE r.alg_ruimte_verwijder IS NULL
       AND r.alg_ruimte_aanmaak < TRUNC (SYSDATE)
       AND EXISTS
             (SELECT 1
                FROM alg_v_aanwezigverdieping
               WHERE alg_verdieping_key = r.alg_verdieping_key
                     AND alg_gebouw_key IN (37, 38, 40));

COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
